Package com.mockobjects.servlet

# Class MockServletInputStream

ServletInputStream
com.mockobjects.servlet.MockServletInputStream

All Implemented Interfaces:
  `Verifiable`

public class MockServletInputStream extends ServletInputStream implements Verifiable

## Constructor Summary

Constructors
Constructor
Description
`MockServletInputStream()`

## Method Summary

Modifier and Type
Method
Description
`int`
`read()`
`void`
`setupRead(byte[] data)`
`void`
`verify()`
Throw an AssertionFailedException if any expectations have not been met.

## Constructor Details

### MockServletInputStream

public MockServletInputStream()

## Method Details

### verify

public void verify()
Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`

### setupRead

public void setupRead(byte[] data)

### read

public int read()